//-----------------------------------------------------------------------
// File : Quad.hlsl
// Desc : Shader For Quad
// Copyright(c) Project Asura. All right reserved.
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
// History
//-----------------------------------------------------------------------
// <---> 2011/08/16 [Pocol] VK쐬
// <End>

Texture2D    ColorTex : register( t0 );
SamplerState ColorSmp : register( s0 );

struct VSInput
{
	float3 Position : POSITION;
	float2 TexCoord : TEXCOORD;
};

struct VSOutput
{
	float4 Position : SV_POSITION;
	float2 TexCoord : TEXCOORD0;
};

VSOutput VSFunc( VSInput input )
{
	VSOutput output = (VSOutput)0;

	output.Position = float4( input.Position, 1.0f );
	output.TexCoord = input.TexCoord;

	return output;
}

float4 PSFunc( VSOutput input ) : SV_TARGET
{
	float4 output = ColorTex.Sample( ColorSmp, input.TexCoord );
	return output;
}